Bug 5153 - Named pipe attribute caching
Summary: Named pipe attribute caching
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-15 14:04 UTC by mburton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 01:08:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mburton 1999-09-15 14:04:54 UTC
On a disk mounted over nfs, the following fails

tmp:touch foo
tmp:cat foo
tmp:rm foo
tmp:mknod foo p
tmp:cat foo
tmp:

This should block, but the filetype for foo does not seem to
be updated in the kernal, so cat foo returns straight away

Hope this helps,

Mark.

Comment 1 Alan Cox 2002-12-14 01:08:51 UTC
Fixed in later kernel nfs but nobody closed the bug



Note You need to log in before you can comment on or make changes to this bug.